Package org.eclipse.birt.chart.script.api.series.data

# Interface IBubbleData

All Superinterfaces:
  `ISeriesData`

public interface IBubbleData extends ISeriesData
Represents the data contained in the Bubble Series

## Method Summary

Modifier and Type
Method
Description
`String`
`getBubbleSizeExpr()`
Gets the query expression of Bubble size.
`String`
`getOrthogonalValueExpr()`
Gets the query expression of Orthogonal value.
`void`
`setBubbleSizeExpr(String expr)`
Sets the query expression of Bubble Size.
`void`
`setOrthogonalValueExpr(String expr)`
Sets the query expression of Orthogonal value.

## Method Details

### getBubbleSizeExpr

String getBubbleSizeExpr()
Gets the query expression of Bubble size.

Returns:
  Bubble size expression

### getOrthogonalValueExpr

String getOrthogonalValueExpr()
Gets the query expression of Orthogonal value.

Returns:
  Orthogonal value expression

### setBubbleSizeExpr

void setBubbleSizeExpr(String expr)
Sets the query expression of Bubble Size.

Parameters:
  `expr` -

### setOrthogonalValueExpr

void setOrthogonalValueExpr(String expr)
Sets the query expression of Orthogonal value.

Parameters:
  `expr` - Orthogonal value expression